%define upstream_name    Dist-Zilla-Plugin-Conflicts
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Declare conflicts for your distro
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::File::FromCode)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module lets you declare conflicts on other modules (usually
dependencies of your module) in your _dist.ini_.

Declaring conflicts does several thing to your distro.

First, it generates a module named something like
'Your::Distro::Conflicts'. This module will use the Dist::CheckConflicts
manpage to declare and check conflicts. The package name will be obscured
from PAUSE by putting a newline after the 'package' keyword.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.200.0-2.mga10
+ Revision: 2218621
- Mageia 10 Mass Rebuild

* Wed Aug 30 2023 tv <tv> 0.200.0-1.mga10
+ Revision: 1981075
- update to 0.20

* Sun Mar 20 2022 umeabot <umeabot> 0.190.0-5.mga9
+ Revision: 1808937
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.190.0-4.mga8
+ Revision: 1503996
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.190.0-3.mga7
+ Revision: 1283000
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.190.0-2.mga7
+ Revision: 1164122
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.190.0-1.mga7
+ Revision: 1157504
- update to 0.19

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-2.mga6
+ Revision: 1026184
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.180.0-1.mga6
+ Revision: 1007554
- update to 0.18

* Thu Feb 18 2016 umeabot <umeabot> 0.170.0-2.mga6
+ Revision: 966069
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 sander85 <sander85> 0.170.0-1.mga6
+ Revision: 840078
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-3.mga5
+ Revision: 742542
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 0.160.0-1.mga5
+ Revision: 671966
- update to 0.16

* Mon Sep 01 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 670621
- update to 0.15

* Tue Apr 15 2014 jquelin <jquelin> 0.140.0-1.mga5
+ Revision: 614736
- update to 0.14

* Sat Oct 19 2013 umeabot <umeabot> 0.130.0-2.mga4
+ Revision: 533102
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 sander85 <sander85> 0.130.0-1.mga4
+ Revision: 471749
- update to 0.13

* Tue Jul 23 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 457360
- update to 0.11

* Mon Jun 10 2013 jquelin <jquelin> 0.100.0-1.mga4
+ Revision: 441561
- update to 0.10

* Fri Jun 07 2013 jquelin <jquelin> 0.90.0-1.mga4
+ Revision: 439089
- update to 0.09

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 366113
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.08

* Mon Mar 14 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 71010
- imported package perl-Dist-Zilla-Plugin-Conflicts


* Mon Mar 14 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
